Registration Check UAT - Bug #14176

Android - QC1312 - Random Crash
18 August 2022 09:01 AM - Jimmy Phang

Status: Resolved Start date: 18 August 2022
Priority: Normal Due date:

Assignee: Jimmy Phang % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Fixed for issue 1: crash issue - Quick kill apps in between launching the apps & finish loading - perform multiple times - crash issue
occurred.

Tested good.
issue 2: Pending appcamo to revert as we have provided method & classes.
email sent on July 29th.

With the given list of method and class files for excluding obfuscation on 28th July, it seems still crashing at App Shielding layer on
the 29th, where we are unable to trace from project level.

Most of the random crashes happened in the exception of A/libc; and E/libc++abi occurred at the first time. Please refer to crash log
below:

- E/libc++abi: terminating with uncaught exception of type std::bad_alloc: std::bad_alloc

- AJlibc: Fatal signal 6 (SIGABRT), code +HSI-QUEUE}R-tid-32509-(Jitthread-pool,pid-32503(erporatebanking}

Allibc: Fatal signal 11 (SIGSEGV), code 1 (SEGV_MAPERR), fault addr 0x7dc9b99ac8 in tid 13580 (Jit thread pool), pid 13574
(orporatebanking)

- Allibc: Fatal signal 11 (SIGSEGV), code 2 (SEGV_ACCERR), fault addr 0x7e3cc00000 in tid 18811 (orporatebanking), pid 18811
(orporatebanking)

email on August 9th
The random crash issue seems to be reduced. However, please refer to exceptions below which was encountered after several tries.

- 2022-08-09 16:39:56.284 19294-19300/com.sme.ocbcnisp.corporatebanking A/libc: Fatal signal 11 (SIGSEGV), code 1
(SEGV_MAPERR), fault addr 0x0 in tid 19300 (Jit thread pool), pid 19294 (orporatebanking)

Believe that we might need AppCamo team’s assistance for exception above.

Remark: pending appcamo reply.

History

#1 - 18 August 2022 09:01 AM - Jimmy Phang

- Status changed from New to Resolved

As mentioned, issue 1 was fixed.

#2 - 18 August 2022 09:02 AM - Jimmy Phang

- Assignee changed from sengloong.khoo sengloong.khoo to Jimmy Phang

#3 - 19 August 2022 02:21 PM - sengloong.khoo sengloong.khoo
- % Done changed from 0 to 100
